Subject: Re: Badness at net/ipv4/inet_connection_sock.c:293

From: Eric Dumazet <[email-masked]>
Date: Sat, 12 Dec 2009 10:22:07 +0100

Le 12/12/2009 10:03, David Miller a écrit :
> From: Christian Kujau <[email-masked]>
> Date: Fri, 11 Dec 2009 23:43:10 -0800 (PST)
> 
>> today I upgraded from 2.6.32-rc7 to the latest -git (mainline) and after a 
>> few hours the messages below appeared in the log. Apparently "privoxy" was 
>> very busy handling connections, but the messages never appeared with 
>> earlier kernels. 
>>
>> Full dmesg & .config is on:
>> http://nerdbynature.de/bits/2.6.33-git/inet_accept/
> 
> Yeah I started seeing this on one of my machines too, the
> assertion is:
> 
> 	WARN_ON(newsk->sk_state == TCP_SYN_RECV);
> 
> I wonder if some of the refactorings we did to allow per-route
> SACK/DSACK/etc. controls messed some sequence of state changes
> on TCP sockets.  But I can't find anything obvious in those
> commits.

Could it be about syncookies patches ?

tcp_create_openreq_child() changes ?